0

We have a couple of applications built in Salesforce's Lightning Components.

Recently Salesforce released their Summer '16 Major Release this past weekend, on June 4th 2016. Something wrong happened and now I'm getting a error every time I try to load any of my component.

Error

"Uncaught TypeError: Cannot read property 'expando' of undefined throws at /resource/jQuery/jquery/js/jquery-1.10.2.min.js:3:30190"

Here's the code I have in the new Component

<aura:component >
    Test With Locker
    <ltng:require scripts="/resource/jQuery/jquery/js/jquery-1.10.2.min.js"/> 
</aura:component>

marked as duplicate by Matt Lacey Jun 21 '16 at 0:38

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • The same problem in Q 125900 – edelrabe Jun 7 '16 at 6:36
0

jquery 2.2.4 will work, but still you have do some tweaks to your code, the way you access DOM.

See how Locker Service works: https://developer.salesforce.com/blogs/developer-relations/2016/04/introducing-lockerservice-lightning-components.html

If you need you code be running up then go to setup > critical updates and deactivate locker services.

Not the answer you're looking for? Browse other questions tagged or ask your own question.